## NAME

v.reclass.inf - Generate new vector map layer derived from attribute data in the currently selected database.
(GRASS-RDBMS Vector Interface Program)

## SYNOPSIS

v.reclass.inf
v.reclass.inf help
v.reclass.inf [-d] sql=name key=name type=name input=name [output=name]

## DESCRIPTION

v.reclass.inf generates a new vector map layer based on the results of one or more queries to the currently selected database. The user constructs a series of mutually exclusive SQL select statments designed to return groups of records from the database. Each group of records should be internally consistent in terms of attribute characteristics specified by the user in the SELECT clause. These groups should also be mutually exclusive, thereby insuring that a row returned by one SELECT clause is not also returned by a subsequent SELECT clause. Each group of records therefore forms the basis for a single category in the resulting GRASS vector map. v.reclass.inf processes each SELECT statement in order returning groups of records which will form a single category in the resulting map. As each SELECT statement is processed the group of records returned receives a common category value. The category value is incremented by one for each subsequent SELECT statment which is processed. The resulting reclass map will have one category for each of the original SELECT statements.

For example, the rows associated with the first SELECT statement will be assigned to category 1, those associated with the second SELECT statement will be assigned to category 2 and so on. The output map will contain only those line segments associated with database rows returned by the SELECT statement(s).

## COMMAND LINE OPTIONS

Flags:

-d
  Disolve common boundaries between reclassed areas.

  Parameters:

sql=filename
  Name of file containing SQL query statements.
key=database_column_name
  Key column in db.
type=area/line.
  Key column in db.
input=map
  Name of existing vector file to be reclassed using query output.
output=map
  Name of new raster (reclass), file.

  ## EXAMPLE: produces vector map of primary and secondary roads.

  v.reclass.inf sql=vect.sql key=tlid input=t.roads.inf output=t.roads.12

            vect.sql:

      	SELECT UNIQUE tlid,cfcc FROM type1
      	WHERE cfcc MATCHES "A1*"
      	ORDER BY tlid;
      	SELECT UNIQUE tlid,cfcc FROM type1
      	WHERE cfcc MATCHES "A2*"
      	ORDER BY tlid

  ## BUGS

  None known.

  ## NOTE

  This program requires the Informix database software.

  ## SEE ALSO

  g.column.inf, g.select.inf, g.stats.inf, g.table.inf, d.rast.inf, d.site.inf, d.vect.inf, d.what.r.inf, d.what.s.inf, d.what.v.inf, r.rescale.inf

  ## AUTHOR

  James A. Farley, Wang Song and W. Fredrick Limp University of Arkansas, CAST

  Last changed: $Date: 2002/01/25 05:45:35 $